<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/canfd/src/canfd.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_dd6edb0f71b4cf1d2b3481395966acb6.html">canfd</a></li><li class="navelem"><a class="el" href="dir_1fcc2b2f0f231819a2af57559c9a4ea1.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">canfd.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the Controller Area Network Driver Flexible data for XWR16xx.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
<code>#include &lt;ti/common/hw_types.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;<a class="el" href="canfd__internal_8h.html">ti/drivers/canfd/include/canfd_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gae6c14e6d2e0c7b658e1c91dbdf3b49b2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae6c14e6d2e0c7b658e1c91dbdf3b49b2">CANFD_MCANInt0Isr</a> (uintptr_t arg)</td></tr>
<tr class="separator:gae6c14e6d2e0c7b658e1c91dbdf3b49b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15e6c6b04360f396592f180aa634d812"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga15e6c6b04360f396592f180aa634d812">CANFD_MCANInt1Isr</a> (uintptr_t arg)</td></tr>
<tr class="separator:ga15e6c6b04360f396592f180aa634d812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa360d6d861d53a0ceb436faaa1e19ffd"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="canfd_8c.html#aa360d6d861d53a0ceb436faaa1e19ffd">CANFD_configMessageRAM</a> (const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf97645559d0b09695b008fe0b7e8f95c">CANFD_DriverMCB</a> *ptrCanFdMCB, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad5d2ba68eabf99b314fd577a795b5fe7">CANFD_MCANMsgRAMCfgParams</a> *configParams, int32_t *errCode)</td></tr>
<tr class="separator:aa360d6d861d53a0ceb436faaa1e19ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga095573d0bf132b6e5b09761c510c9b82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga095573d0bf132b6e5b09761c510c9b82">CANFD_init</a> (const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga086c0557a3517b9a46e30123c24538bf">CANFD_MCANInitParams</a> *configParams, int32_t *errCode)</td></tr>
<tr class="separator:ga095573d0bf132b6e5b09761c510c9b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa913fbe2f7d514fe578b7b6372f5308f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa913fbe2f7d514fe578b7b6372f5308f">CANFD_deinit</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gaa913fbe2f7d514fe578b7b6372f5308f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaccbc797be7b2a1a6f3f75b39e8d74025"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaccbc797be7b2a1a6f3f75b39e8d74025">CANFD_configBitTime</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga418dc3ab920d1141e07d3048c5dd5aef">CANFD_MCANBitTimingParams</a> *bitTimeParams, int32_t *errCode)</td></tr>
<tr class="separator:gaccbc797be7b2a1a6f3f75b39e8d74025"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33cd186b8278b844dce2d9ea6e7c033b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga33cd186b8278b844dce2d9ea6e7c033b">CANFD_createMsgObject</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga715a58b8cf5a117bc344f823c0e780c0">CANFD_MCANMsgObjCfgParams</a> *msgObjectParams, int32_t *errCode)</td></tr>
<tr class="separator:ga33cd186b8278b844dce2d9ea6e7c033b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbfe1bf5af67ec79d528c31030446bf8"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafbfe1bf5af67ec79d528c31030446bf8">CANFD_deleteMsgObject</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gafbfe1bf5af67ec79d528c31030446bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ae4a3265a6d85596c0ca0ceccb99e90"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9ae4a3265a6d85596c0ca0ceccb99e90">CANFD_transmitData</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, uint32_t id, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> frameType, uint32_t dataLength, const uint8_t *data, int32_t *errCode)</td></tr>
<tr class="separator:ga9ae4a3265a6d85596c0ca0ceccb99e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f696e49ce9bb213d07ebec721678179"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7f696e49ce9bb213d07ebec721678179">CANFD_transmitDataCancel</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga7f696e49ce9bb213d07ebec721678179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad471551dd1dfd104fab28ae82a6583b3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad471551dd1dfd104fab28ae82a6583b3">CANFD_getData</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a696020aab1c0c59992297fc62cca02">CANFD_MsgObjHandle</a> handle, uint32_t *id, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3a3ef74642fa1c9f36a6e43ee46b7bf9">CANFD_MCANFrameType</a> *ptrFrameType, <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga38323de53e1d81f7ceb9ce2da201f107">CANFD_MCANXidType</a> *idType, uint32_t *ptrDataLength, uint8_t *data, int32_t *errCode)</td></tr>
<tr class="separator:gad471551dd1dfd104fab28ae82a6583b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02619b56fc15a722f1fbf03b3df07245"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga02619b56fc15a722f1fbf03b3df07245">CANFD_getOptions</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *ptrOptInfo, int32_t *errCode)</td></tr>
<tr class="separator:ga02619b56fc15a722f1fbf03b3df07245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae6e2aab6af4d186d7e94f5074d721dc"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaae6e2aab6af4d186d7e94f5074d721dc">CANFD_setOptions</a> (<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5565a54609363786bd3155a0695dd1b4">CANFD_Handle</a> handle, const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga78875f79d93f7454b97964382c9783fd">CANFD_OptionTLV</a> *ptrOptInfo, int32_t *errCode)</td></tr>
<tr class="separator:gaae6e2aab6af4d186d7e94f5074d721dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the Controller Area Network Driver Flexible data for XWR16xx. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="aa360d6d861d53a0ceb436faaa1e19ffd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void CANFD_configMessageRAM </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf97645559d0b09695b008fe0b7e8f95c">CANFD_DriverMCB</a> *&#160;</td>
          <td class="paramname"><em>ptrCanFdMCB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad5d2ba68eabf99b314fd577a795b5fe7">CANFD_MCANMsgRAMCfgParams</a> *&#160;</td>
          <td class="paramname"><em>configParams</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function initializes the CANFD driver instance with the specified hardware attributes. It resets and configures the MCAN module, sets up the Message RAM and ECC Aggregator. It configures the CANFD driver with the control parameters.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrCanFdMCB</td><td>Pointer to the CANFD driver MCB </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">configParams</td><td>CAN module configuration parameters </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errCode</td><td>Error code populated on error</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- Handle to the CAN Driver </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
